# Uses of Interface
jam.controlpalettes.Controller

Packages that use Controller
Package
Description
jam.controlpalettes

## Uses of Controller in jam.controlpalettes

Classes in jam.controlpalettes that implement Controller
Modifier and Type
Class
Description
`class`
`AbstractController`
Methods in jam.controlpalettes with parameters of type Controller
Modifier and Type
Method
Description
`void`
BasicControlPalette.`addController(int position, Controller controller)`
`void`
BasicControlPalette.`addController(Controller controller)`
`void`
ControlPalette.`addController(Controller controller)`
install a Controller into the palette
`void`
BasicControlPalette.`removeController(Controller controller)`